curl -s -X DELETE "https://api.impulselabs.ai/api/api-keys/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
-H "Authorization: Bearer <your-dashboard-session-token>"
import requests
key_id = "3fa85f64-5717-4562-b3fc-2c963f66afa6"
resp = requests.delete(
f"https://api.impulselabs.ai/api/api-keys/{key_id}",
headers={"Authorization": "Bearer <dashboard-token>"},
)
print(resp.json()) # {"success": true}
const keyId = "3fa85f64-5717-4562-b3fc-2c963f66afa6";
const resp = await fetch(
`https://api.impulselabs.ai/api/api-keys/${keyId}`,
{
method: "DELETE",
headers: { Authorization: "Bearer <dashboard-token>" },
}
);
const { success } = await resp.json();
{
"success": true
}
{
"error": "API key not found"
}
{
"error": "Forbidden"
}
API Keys
Revoke API Key
Permanently revoke an API key. Any requests using the revoked key will immediately return 401.
DELETE
/
api
/
api-keys
/
{id}
curl -s -X DELETE "https://api.impulselabs.ai/api/api-keys/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
-H "Authorization: Bearer <your-dashboard-session-token>"
import requests
key_id = "3fa85f64-5717-4562-b3fc-2c963f66afa6"
resp = requests.delete(
f"https://api.impulselabs.ai/api/api-keys/{key_id}",
headers={"Authorization": "Bearer <dashboard-token>"},
)
print(resp.json()) # {"success": true}
const keyId = "3fa85f64-5717-4562-b3fc-2c963f66afa6";
const resp = await fetch(
`https://api.impulselabs.ai/api/api-keys/${keyId}`,
{
method: "DELETE",
headers: { Authorization: "Bearer <dashboard-token>" },
}
);
const { success } = await resp.json();
{
"success": true
}
{
"error": "API key not found"
}
{
"error": "Forbidden"
}
This action is irreversible. The key is deleted along with its usage log. Create a replacement key before revoking a key that is actively in use.
This endpoint uses your dashboard session (Auth0 JWT), not an API key.
Path parameters
The UUID of the key to revoke. Obtain this from List API Keys.
Response
true when the key has been deleted.curl -s -X DELETE "https://api.impulselabs.ai/api/api-keys/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
-H "Authorization: Bearer <your-dashboard-session-token>"
import requests
key_id = "3fa85f64-5717-4562-b3fc-2c963f66afa6"
resp = requests.delete(
f"https://api.impulselabs.ai/api/api-keys/{key_id}",
headers={"Authorization": "Bearer <dashboard-token>"},
)
print(resp.json()) # {"success": true}
const keyId = "3fa85f64-5717-4562-b3fc-2c963f66afa6";
const resp = await fetch(
`https://api.impulselabs.ai/api/api-keys/${keyId}`,
{
method: "DELETE",
headers: { Authorization: "Bearer <dashboard-token>" },
}
);
const { success } = await resp.json();
{
"success": true
}
{
"error": "API key not found"
}
{
"error": "Forbidden"
}
⌘I